astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- Shift

# Shift

class `astropy.modeling.functional_models.``Shift`(offsets, param_dim=1)

  Bases: `astropy.modeling.core.Model`

  Shift a coordinate.

  Parameters:

  offsets : float or a list of floats

  > offsets to be applied to a coordinate if a list - each value in the list is an offset to be applied to a column in the input coordinate array

  Attributes Summary

  `offsets` |
  `param_names` | list() -> new empty list

  Methods Summary

  `inverse`() |

  Attributes Documentation

  `offsets`
  `param_names` = ['offsets']

  Methods Documentation

  `inverse`()